Skip to main content
POST
/
runway
/
v1
/
pro
/
generate
official-format (generate task)
curl --request POST \
  --url https://api.example.com/runway/v1/pro/generate
import requests

url = "https://api.example.com/runway/v1/pro/generate"

response = requests.post(url)

print(response.text)
const options = {method: 'POST'};

fetch('https://api.example.com/runway/v1/pro/generate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Runway’s generate task.mdx for the generate task API.
curl -X POST "https://gptproto.com/runway/v1/pro/generate" \
  -H "Authorization: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "ratio": "16:9",
  "prompt": "a kitten",
  "style": "cinematic",
  "model": "runwayml-gen3a_turbo-5",
  "options": {
    "seconds": 10,
    "motion_vector": {
      "x": 0,
      "y": 0.3999999999999999,
      "z": 0,
      "r": -6,
      "bg_x_pan": 0,
      "bg_y_pan": 0
    }
  }
}'
import requests
import json

url = "https://gptproto.com/runway/v1/pro/generate"
headers = {
    "Authorization": "YOUR_API_KEY",
    "Content-Type": "application/json"
}

data = {
  "ratio": "16:9",
  "prompt": "a kitten",
  "style": "cinematic",
  "model": "runwayml-gen3a_turbo-5",
  "options": {
    "seconds": 10,
    "motion_vector": {
      "x": 0,
      "y": 0.3999999999999999,
      "z": 0,
      "r": -6,
      "bg_x_pan": 0,
      "bg_y_pan": 0
    }
  }
}

response = requests.post(url, headers=headers, json=data)
result = response.json()
print(json.dumps(result, indent=2))
const url = "https://gptproto.com/runway/v1/pro/generate";
const headers = {
  "Authorization": "YOUR_API_KEY",
  "Content-Type": "application/json"
};

const data = {
  "ratio": "16:9",
  "prompt": "a kitten",
  "style": "cinematic",
  "model": "runwayml-gen3a_turbo-5",
  "options": {
    "seconds": 10,
    "motion_vector": {
      "x": 0,
      "y": 0.3999999999999999,
      "z": 0,
      "r": -6,
      "bg_x_pan": 0,
      "bg_y_pan": 0
    }
  }
};

fetch(url, {
  method: "POST",
  headers: headers,
  body: JSON.stringify(data)
})
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error("Error:", error));
package main

import (
    "bytes"
    "encoding/json"
    "fmt"
    "io/ioutil"
    "net/http"
)

func main() {
    url := "https://gptproto.com/runway/v1/pro/generate"

    payload := []byte(`{
"ratio": "16:9",
"prompt": "a kitten",
"style": "cinematic",
"model": "runwayml-gen3a_turbo-5",
"options": {
"seconds": 10,
"motion_vector": {
"x": 0,
"y": 0.3999999999999999,
"z": 0,
"r": -6,
"bg_x_pan": 0,
"bg_y_pan": 0
}
}
}`)

    req, _ := http.NewRequest("POST", url, bytes.NewBuffer(payload))
    req.Header.Set("Authorization", "YOUR_API_KEY")
    req.Header.Set("Content-Type", "application/json")

    client := &http.Client{}
    resp, err := client.Do(req)
    if err != nil {
        panic(err)
    }
    defer resp.Body.Close()

    body, _ := ioutil.ReadAll(resp.Body)
    fmt.Println(string(body))
}
{
  "error": {
    "message": "Invalid signature",
    "type": "401"
  }
}
{
  "error": {
    "message": "Insufficient balance",
    "type": "403"
  }
}
{
  "error": {
    "message": "Internal server error",
    "type": "500"
  }
}
{
  "error": {
    "message": "Input may not meet the guidelines. Please adjust and try again.",
    "type": "503"
  }
}

Parameters

ParameterTypeRequiredDefaultDescription
ratiostring❌ No16:9Ratio parameter
promptstring✅ Yesa kittenPrompt parameter
stylestring❌ NocinematicStyle parameter
modelstring✅ Yesrunwayml-gen3a_turbo-5The model to use for the request
optionsobject❌ No{&quot;seconds&quot;: 10, &quot;motion_vector&quot;: {&quot;x&quot;: 0, &quot;y&quot;: 0.3999999999999999, &quot;z&quot;: 0, &quot;r&quot;: -6, &quot;bg_x_pan&quot;: 0, &quot;bg_y_pan&quot;: 0}}Options parameter